<?php

use Illuminate\Support\Facades\Route;

Route::get('/', function () { return view('welcome'); });

Auth::routes();

Route::group(['middleware' => 'auth'], function() {
    Route::group(['prefix' => 'categoria', 'middleware' => 'ehAdmin'], function () {
        Route::get('/', 'CategoriaController@getIndex')->name('categoria.index');
        Route::get('/create', 'CategoriaController@getCreate')->name('categoria.create');
        Route::post('/create', 'CategoriaController@postCreate')->name('categoria.create');
        Route::get('/edit/{id}', 'CategoriaController@getEdit')->name('categoria.edit');
        Route::put('/edit', 'CategoriaController@putEdit')->name('categoria.edit');
        Route::get('/delete/{id}', 'CategoriaController@getDelete')->name('categoria.delete');
    });

    Route::group(['prefix' => 'produto'], function () {
        Route::get('/', 'ProdutoController@getIndex')->name('produto.index');
        Route::get('/create', 'ProdutoController@getCreate')->name('produto.create');
        Route::post('/create', 'ProdutoController@postCreate')->name('produto.create');
        Route::get('/edit/{id}', 'ProdutoController@getEdit')->name('produto.edit');
        Route::put('/edit', 'ProdutoController@putEdit')->name('produto.edit');
        Route::get('/delete/{id}', 'ProdutoController@getDelete')->name('produto.delete');
    });

    Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
});
